Subject: Re: bug: net: dsa: mv88e6xxx: serdes Unable to communicate on fiber with vf610-zii-dev-rev-c

From: Andrew Lunn <[email-masked]>
Date: Mon, 18 Jan 2021 18:41:01 +0100

On Mon, Jan 18, 2021 at 06:31:19PM +0100, Tobias Waldekranz wrote:
> On Sun, Jul 19, 2020 at 14:43, Chris Healy <[email-masked]> wrote:
> > On Sat, Jul 18, 2020 at 8:22 AM Marek Behun <[email-masked]> wrote:
> >>
> >> On Sat, 18 Jul 2020 17:05:14 +0200
> >> Andrew Lunn <[email-masked]> wrote:
> >>
> >> > > If the traces were broken between the fiber module and the SERDES, I
> >> > > should not see these counters incrementing.
> >> >
> >> > Plus it is reproducible on multiple boards, of different designs.
> >> >
> >> > This is somehow specific to the 6390X ports 9 and 10.
> >> >
> >> >      Andrew
> >>
> >> Hmm.
> >>
> >> What about the errata setup?
> >> It says:
> >> /* The 6390 copper ports have an errata which require poking magic
> >>  * values into undocumented hidden registers and then performing a
> >>  * software reset.
> >>  */
> >> But then the port_hidden_write function is called for every port in the
> >> function mv88e6390_setup_errata, not just for copper ports. Maybe Chris
> >> should try to not write this hidden register for SerDes ports.
> >
> > I just disabled the mv88e6390_setup_errata all together and this did
> > not result in any different behaviour on this broken fiber port.
> 
> Hi Chris,
> 
> Did you manage to track this down?
> 
> I am seeing the exact same issue. I have tried both a 1000base-x SFP and
> a copper 1000base-T and get the same result on both - transmit is fine
> but rx only works up to the SERDES, no rx MAC counters are moving.

Hi Tobias

We never tracked this down. I spent many hours bashing my head against
this. I could not bisect it, which did not help.

FYI: Chris has moved onto a new job, and is unlikely to be involved
with Marvell switches any more.

     Andrew